Skip to main content
GET
/
agents
/
by-owner
/
{owner}
List agents by owner
curl --request GET \
  --url https://api-421614.alphagrid.capital/agents/by-owner/{owner}
{
  "owner": "<string>",
  "agentRegistry": "<string>",
  "count": 1,
  "agents": [
    {
      "agentId": "<string>",
      "agent": {
        "owner": "<string>",
        "signer": "<string>",
        "payoutRecipient": "<string>",
        "vault": "<string>",
        "track": 0,
        "status": 1,
        "name": "<string>",
        "metadataURI": "<string>",
        "createdAt": "<string>",
        "hasERC8004Identity": true,
        "erc8004AgentId": "<string>"
      }
    }
  ]
}

Path Parameters

owner
string
required
Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x0000000000000000000000000000000000000001"

Response

Agents owned by the address

owner
string
required
Pattern: ^0x[a-fA-F0-9]{40}$
agentRegistry
string
required
Pattern: ^0x[a-fA-F0-9]{40}$
count
integer
required
Required range: x >= 0
agents
object[]
required